Db::get_bt_minkey()
Prev | Chapter 2. The Db Handle | Next

## Db::get_bt_minkey()

    #include <db_cxx.h>

    int
    Db::get_bt_minkey(u_int32_t *bt_minkeyp);

The `Db::get_bt_minkey()` method returns the minimum number of key/data pairs intended to be stored on any single Btree leaf page. This value can be set using the Db::set_bt_minkey() method.

The `Db::get_bt_minkey()` method may be called at any time during the life of the application.

The `Db::get_bt_minkey()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### bt_minkeyp

The `Db::get_bt_minkey()` method returns the minimum number of key/data pairs intended to be stored on any single Btree leaf page in bt_minkeyp.

### Class

Db

### See Also

Database and Related Methods, Db::set_bt_minkey()

Prev | Up | Next
Db::get() | Home | Db::get_byteswapped()